summaryrefslogtreecommitdiffstats
path: root/makeworld
diff options
context:
space:
mode:
authorJudd Vinet <judd@archlinux.org>2002-02-25 20:23:38 +0100
committerJudd Vinet <judd@archlinux.org>2002-02-25 20:23:38 +0100
commitd53b2011b1406a4784995f4043added5c04588ce (patch)
tree3b4b9fd73a8ac0121c7b6fac9185281f08fd7c86 /makeworld
downloadpacman-d53b2011b1406a4784995f4043added5c04588ce.tar.gz
pacman-d53b2011b1406a4784995f4043added5c04588ce.tar.xz
Imported from pacman-1.0.tar.gz
Diffstat (limited to 'makeworld')
-rwxr-xr-xmakeworld29
1 files changed, 29 insertions, 0 deletions
diff --git a/makeworld b/makeworld
new file mode 100755
index 00000000..a6c0b470
--- /dev/null
+++ b/makeworld
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+toplevel=`pwd`
+
+if [ $# -lt 1 ]; then
+ echo "usage: $0 <destdir>"
+ exit 1
+fi
+
+for port in `find $toplevel -type d -maxdepth 1 -mindepth 1 | sort`; do
+ cd $port
+ if [ -f PKGBUILD ]; then
+ . PKGBUILD
+ donebuild=0
+ if [ ! -f $1/$pkgname-$pkgver-$pkgrel.pkg.tar.gz ]; then
+ makepkg
+ rm -rf pkg src
+ mv -v $pkgname-$pkgver-$pkgrel.pkg.tar.gz $1/
+ donebuild=1
+ fi
+ d=`date +"[%b %d %H:%M]"`
+ echo -n "$d " >>$toplevel/build.log
+ if [ $donebuild = 1 ]; then
+ echo "$pkgname was built successfully" >>$toplevel/build.log
+ else
+ echo "$pkgname already built -- skipping" >>$toplevel/build.log
+ fi
+ fi
+done